Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.maven
[Java] Interface GroovyMavenDeployer

    org.gradle.api.artifacts.maven.MavenResolver
      org.gradle.api.artifacts.maven.MavenDeployer
          org.gradle.api.artifacts.repositories.ArtifactRepository
              org.gradle.api.artifacts.maven.PomFilterContainer
                  org.gradle.api.artifacts.maven.GroovyMavenDeployer

All Superinterfaces:
  MavenResolver, MavenDeployer, ArtifactRepository, PomFilterContainer

    public interface GroovyMavenDeployer
    extends MavenDeployer

Adds Groovy configuration convenience methods on top of the MavenDeployer. This class provides also a builder for repository and snapshot-repository:

     mavenUploader.repository(url: 'file://repoDir') {
        authentication(userName: 'myName')
        releases(updatePolicy: 'never')
        snapshots(updatePolicy: 'always')
     }

This call set the repository object and also returns an instance of this object. If you use 'snapshotRepository' instead of repository, the snapshot repository is build.

Authors:
  Hans Dockter

See Also:
  MavenDeployer

Field Summary

Fields inherited from interface PomFilterContainer
DEFAULT_ARTIFACT_POM_NAME

Method Summary

Methods inherited from interface MavenDeployer
addProtocolProviderJars, getRepository, getSnapshotRepository, isUniqueVersion, setRepository, setSnapshotRepository, setUniqueVersion

Methods inherited from interface MavenResolver
beforeDeployment, beforeDeployment, getSettings

Methods inherited from interface ArtifactRepository
getName, setName

Methods inherited from interface PomFilterContainer
addFilter, addFilter, filter, filter, getActivePomFilters, getFilter, getPom, pom, pom, pom, setFilter, setPom

Gradle API 1.1-rc-1